import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as u } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, a = Object.getOwnPropertyDescriptor, c = (p, r, o, t) => {
  for (var e = t > 1 ? void 0 : t ? a(r, o) : r, i = p.length - 1, s; i >= 0; i--)
    (s = p[i]) && (e = (t ? s(r, o, e) : s(e)) || e);
  return t && e && v(r, o, e), e;
};
let l = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--voucherFilled", this.class = "c-pieIcon c-pieIcon--voucherFilled", this.name = "IconVoucherFilled";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--voucherFilled"><path fill-rule="evenodd" d="M14.781 4.579v6.842l-1.61 1.61H2.83l-1.61-1.61V4.58l1.61-1.61H13.17l1.61 1.61ZM10.214 8A3.938 3.938 0 0 0 8 10.214 3.937 3.937 0 0 0 5.786 8 3.938 3.938 0 0 0 8 5.786 3.938 3.938 0 0 0 10.214 8Z" clip-rule="evenodd"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], l.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = c([
  u("icon-voucher-filled")
], l);
export {
  l as IconVoucherFilled
};
